Bug 803345 - vncviewer pkg should be installed automatically when installing oVirt CLI
vncviewer pkg should be installed automatically when installing oVirt CLI
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-cli (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Michael Pasternak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 09:49 EDT by Avihai Shoham
Modified: 2014-01-12 19:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-15 11:36:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avihai Shoham 2012-03-14 09:49:52 EDT
when trying to operate console from cli i got

[oVirt shell (connected)]# console VM1
unknown error: vncviewer: command not found

i needed to yum install tigervnc to have this function work


Version-Release number of selected component (if applicable):

cli 2.2.1.2
Expected results:

vncviewer pkg will be part from cli instillation
 

Additional info:
Comment 1 Michael Pasternak 2012-03-14 09:54:24 EDT
Ofer,

don't we install it with the engine?
Comment 2 Ofer Schreiber 2012-03-14 11:07:46 EDT
(In reply to comment #1)
> Ofer,
> 
> don't we install it with the engine?

No.
Comment 3 Itamar Heim 2012-03-14 12:28:39 EDT
also, the CLI can be installed on any client, not related to locally on engine.
Comment 4 Itamar Heim 2012-03-14 12:29:34 EDT
I am not sure though this should be in requires, as would force pulling a vnc and spice clients. maybe just a better error message for user to install it?
Comment 5 Michael Pasternak 2012-03-15 11:36:58 EDT
+ absence of console rpm will fail cli installation, error message is
good enough here.

Note You need to log in before you can comment on or make changes to this bug.